Remove rpath from library and fix library dependencies
Remove logic to disable building of qt4 plugin
--- a/designer/designer.pro
+++ b/designer/designer.pro
@@ -29,13 +29,13 @@
 
 contains(QWT_CONFIG, QwtDesigner ) {
     
-    greaterThan(QT_MAJOR_VERSION, 4) {
-
-        !qtHaveModule(designer) QWT_CONFIG -= QwtDesigner
-    } else {
-
-        !exists( $(QTDIR)/include/QtDesigner ) QWT_CONFIG -= QwtDesigner
-    }
+#    greaterThan(QT_MAJOR_VERSION, 4) {
+#
+#        !qtHaveModule(designer) QWT_CONFIG -= QwtDesigner
+#    } else {
+#
+#        !exists( $(QTDIR)/include/QtDesigner ) QWT_CONFIG -= QwtDesigner
+#    }
 
     !contains(QWT_CONFIG, QwtDesigner ) {
         warning("QwtDesigner is enabled in qwtconfig.pri, but Qt has not been built with designer support")
@@ -98,8 +98,15 @@
         # compile the path for finding the Qwt library
         # into the plugin. Not supported on Windows !
 
-        QMAKE_RPATHDIR *= $${QWT_INSTALL_LIBS}
-        qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt)
+#        QMAKE_RPATHDIR *= $${QWT_INSTALL_LIBS}
+         contains(QWT_CONFIG, QwtDll) {
+             greaterThan(QT_MAJOR_VERSION, 4) {
+                 qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt-qt5)
+             } else {
+                 qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt)
+             }
+        }
+ 
 
         contains(QWT_CONFIG, QwtDll) {
 
